import { Type, ComponentFactoryResolver, ViewContainerRef, OnDestroy, ComponentRef, AfterViewInit, ChangeDetectorRef, OnInit } from '@angular/core';
import { InsertionDirective } from './insertion.directive';
import { DialogRef } from './dialog-ref';
import { DialogConfig } from './dialog-config';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class DialogComponent implements AfterViewInit, OnDestroy, OnInit {
    private cd;
    private dialogRef;
    config: DialogConfig;
    private router;
    private viewContainerRef;
    private componentFactoryResolver;
    componentRef: ComponentRef<any>;
    position: any;
    background: any;
    insertionPoint: InsertionDirective;
    animation: boolean;
    private readonly onDialogClose;
    onClose: import("rxjs").Observable<any>;
    childComponentType: Type<any>;
    container: ViewContainerRef;
    constructor(cd: ChangeDetectorRef, dialogRef: DialogRef, config: DialogConfig, router: Router, viewContainerRef: ViewContainerRef, componentFactoryResolver: ComponentFactoryResolver);
    ngOnInit(): void;
    routeAction(): void;
    ngAfterViewInit(): void;
    onOverlayClicked(evt: MouseEvent): void;
    onDialogClicked(evt: MouseEvent): void;
    loadChildComponent(componentType: Type<any>): void;
    ngOnDestroy(): void;
    close(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DialogComponent, "app-dialog", never, {}, {}, never, never, false, never>;
}
